Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## be.fgov.ehealth.etee.crypto.policies
Enum EncryptionPolicy

    java.lang.Object
      java.lang.Enum<EncryptionPolicy>
          be.fgov.ehealth.etee.crypto.policies.EncryptionPolicy

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<EncryptionPolicy>

    public enum EncryptionPolicy

extends java.lang.Enum<EncryptionPolicy>

Acceptable eHealth Encryption Policies.

Enum Constant Summary
`KNOWN_RECIPIENT` Key encryption: RSA encryption for use with Public Key, size 2048.
`UNKNOWN_RECIPIENT` Key encryption: Advanced Encryption Standard (AES) Key Wrap Algorithm, size 128.

Method Summary
`java.lang.String` | `getContentEncryptionAlgorithmOID()`
`int` | `getKeksize()`
`java.lang.String` | `getKeyEncryptionAlgorithmOID()`
`static EncryptionPolicy` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static EncryptionPolicy[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### KNOWN_RECIPIENT

    public static final EncryptionPolicy KNOWN_RECIPIENT

  Key encryption: RSA encryption for use with Public Key, size 2048. Content encryption: The AES (Advanced Encryption Standard)'s symmetric encryption algorithm "Rijndael" with 128 bit keys in CBC modus.

### UNKNOWN_RECIPIENT

    public static final EncryptionPolicy UNKNOWN_RECIPIENT

  Key encryption: Advanced Encryption Standard (AES) Key Wrap Algorithm, size 128. Content encryption: The AES (Advanced Encryption Standard)'s symmetric encryption algorithm "Rijndael" with 128 bit keys in CBC modus.

Method Detail

### values

    public static EncryptionPolicy[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (EncryptionPolicy c : EncryptionPolicy.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static EncryptionPolicy valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
    `java.lang.NullPointerException` - if the argument is null

### getKeksize

    public int getKeksize()

### getContentEncryptionAlgorithmOID

    public java.lang.String getContentEncryptionAlgorithmOID()

### getKeyEncryptionAlgorithmOID

    public java.lang.String getKeyEncryptionAlgorithmOID()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2018 eHealth. All Rights Reserved.